diff -u --recursive pcal-4.7/Pcal.hlp pcal-4.7-new/Pcal.hlp
--- pcal-4.7/Pcal.hlp	Fri Oct  1 18:36:46 1999
+++ pcal-4.7-new/Pcal.hlp	Wed Dec 12 09:37:25 2001
@@ -654,8 +654,8 @@
           Select the language for the names of months and days.
           As of v4.6, the following languages are supported:  de
           (German), en (English) eo (Esperanto) es (Spanish), fr
-          (French), gr (Greek), and it (Italian).  The default is
-          en.
+          (French), gr (Greek), it (Italian), and pt (Portugue-
+	  se).  The default is en.
 
           Note: In order to display diacritical marks, languages
           other than English require that the fonts be remapped
Only in pcal-4.7-new: build-stamp
diff -u --recursive pcal-4.7/days.h pcal-4.7-new/days.h
--- pcal-4.7/days.h	Fri Oct  1 18:36:46 1999
+++ pcal-4.7-new/days.h	Wed Dec 12 09:14:43 2001
@@ -1,6 +1,7 @@
 /* 
  * Day output strings: one line per language (order: English, Greek,
- *   Italian, French, German, Esperanto, Spanish; cf. pcallang.h)
+ *   Italian, French, German, Esperanto, Spanish, Portuguese;
+ *   cf. pcallang.h)
  * 
  * NB: + YOU NEED AN 8-BIT CLEAN EDITOR TO EDIT THIS (and proper fonts)
  *     + GREEK IS IN ELOT-928
@@ -20,4 +21,6 @@
 { "Diman\346o",	"Lundo",	"Mardo",	"Merkredo",
   "\254a\375do", "Vendredo",	"Sabato" },
 { "Domingo",	"Lunes",	"Martes",	"Mi\351rcoles",
-  "Jueves",	"Viernes",	"Sabado" }
+  "Jueves",	"Viernes",	"Sabado" },
+{ "Domingo",	"Segunda",	"Ter\347a",	"Quarta",
+  "Quinta",	"Sexta",	"S\341bado" }
diff -u --recursive pcal-4.7/months.h pcal-4.7-new/months.h
--- pcal-4.7/months.h	Fri Oct  1 18:36:46 1999
+++ pcal-4.7-new/months.h	Tue Dec 11 09:50:33 2001
@@ -1,6 +1,7 @@
 /* 
  * Month output strings: one line per language (order: English, Greek,
- *   Italian, French, German, Esperanto, Spanish; cf. pcallang.h)
+ *   Italian, French, German, Esperanto, Spanish, Portuguese ;
+ *   cf. pcallang.h)
  *
  * NB: + YOU NEED AN 8-BIT CLEAN EDITOR TO EDIT THIS (and proper fonts)
  *     + GREEK IS IN ELOT-928
@@ -31,4 +32,7 @@
   "Septembro",	"Oktobro",	"Novembro",	"Decembro" },
 { "Enero",	"Febrero",	"Marzo",	"Abril",
   "Mayo",	"Junio",	"Julio",	"Agosto",
-  "Septiembre",	"Octubre",	"Noviembre",	"Diciembre" }
+  "Septiembre",	"Octubre",	"Noviembre",	"Diciembre" },
+{ "Janeiro",	"Fevereiro",	"Mar\347o",	"Abril",
+  "Maio",	"Junho",	"Julho",	"Agosto",
+  "Setembro",	"Outubro",	"Novembro",	"Dezembro" }
diff -u --recursive pcal-4.7/pcal.man pcal-4.7-new/pcal.man
--- pcal-4.7/pcal.man	Wed Dec 12 09:40:36 2001
+++ pcal-4.7-new/pcal.man	Wed Dec 12 09:33:41 2001
@@ -1027,9 +1027,11 @@
 (French),
 .B gr
 (Greek),
-and
 .B it
 (Italian).
+and
+.B pt
+(Portuguese).
 The default is 
 .BR en .
 .IP
diff -u --recursive pcal-4.7/pcallang.h pcal-4.7-new/pcallang.h
--- pcal-4.7/pcallang.h	Fri Oct  1 18:36:46 1999
+++ pcal-4.7-new/pcallang.h	Wed Dec 12 09:10:55 2001
@@ -139,7 +139,7 @@
 #define DAYSIZE 20	/* large enough for longest string in days[] below */
 #define LANGSIZE 20	/* large enough for longest string in lang_id[] below */
 
-#define NUM_LANGUAGES	7	/* *** Change this if adding languages *** */
+#define NUM_LANGUAGES	8	/* *** Change this if adding languages *** */
 #define LANG_ENGLISH	0
 #define LANG_GREEK	1
 #define LANG_ITALIAN	2
@@ -147,6 +147,7 @@
 #define LANG_GERMAN	4
 #define LANG_ESPERANTO	5
 #define LANG_SPANISH	6
+#define LANG_PORTUGUESE	7
 
 #ifndef LANG_DEFAULT
 #define LANG_DEFAULT	LANG_ENGLISH
@@ -198,10 +199,11 @@
 	"de [German]",
 	"eo [Esperanto]",
 	"es [Spanish]",
+	"pt [Portuguese]",
 
 #if THESE_ARE_NOT_INCLUDED 		/* some possible extra languages */
 	"ho [Dutch]",
-	"pg [Portuguese]",
+	"ot [OtherLanguage]",
 #endif
 };
 
@@ -216,10 +218,11 @@
 	LATIN1,		/* German */
 	ESPERANTO,	/* Esperanto */
 	LATIN1,		/* Spanish */
+	LATIN1,		/* Portuguese */
 
 #if THESE_ARE_NOT_INCLUDED 		/* some possible extra languages */
 	LATIN1,		/* Dutch */
-	LATIN1,		/* Portuguese */
+	OTHER,		/* OtherLanguage */
 #endif
 };
